# The Red Matrix: include/html2bbcode.php File Reference

All Classes Namespaces Files Functions Variables Pages
html2bbcode.php File Reference

## Functions

| node2bbcode (&$doc, $oldnode, $attributes, $startbb, $endbb)
| node2bbcodesub (&$doc, $oldnode, $attributes, $startbb, $endbb)
| deletenode (&$doc, $node)
| html2bbcode ($message)

## Function Documentation

deletenode | ( | & | $doc,
|  |  | $node
| ) |  |

Referenced by html2bbcode(), and parseurl_getsiteinfo().

html2bbcode | ( |  | $message | ) |

Referenced by api_statuses_mediap(), api_statuses_update(), diaspora2bb(), get_atom_elements(), and rpost_content().

node2bbcode | ( | & | $doc,
|  |  | $oldnode,
|  |  | $attributes,
|  |  | $startbb,
|  |  | $endbb
| ) |  |

Referenced by html2bbcode(), and html2plain().

node2bbcodesub | ( | & | $doc,
|  |  | $oldnode,
|  |  | $attributes,
|  |  | $startbb,
|  |  | $endbb
| ) |  |

Referenced by node2bbcode().